summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Callen <abcd@gentoo.org>2009-12-02 17:07:05 +0000
committerJonathan Callen <abcd@gentoo.org>2009-12-02 17:07:05 +0000
commitdc4f9cbb27719c559d81d66c20309ba9f08a1673 (patch)
treee41bfcfa1ed35635c10e256737181d4e29a31e7e
parentMissing src_prepare (diff)
downloadgentoo-2-dc4f9cbb27719c559d81d66c20309ba9f08a1673.tar.gz
gentoo-2-dc4f9cbb27719c559d81d66c20309ba9f08a1673.tar.bz2
gentoo-2-dc4f9cbb27719c559d81d66c20309ba9f08a1673.zip
Update kde4 eclasses from overlay
-rw-r--r--eclass/kde4-base.eclass8
-rw-r--r--eclass/kde4-meta.eclass9
2 files changed, 11 insertions, 6 deletions
diff --git a/eclass/kde4-base.eclass b/eclass/kde4-base.eclass
index c333ba5bb21d..39de1a5858e0 100644
--- a/eclass/kde4-base.eclass
+++ b/eclass/kde4-base.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.54 2009/12/01 10:56:17 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.55 2009/12/02 17:07:05 abcd Exp $
# @ECLASS: kde4-base.eclass
# @MAINTAINER:
@@ -146,7 +146,7 @@ esac
# Currently defaults to 4.5.1 for KDE 4.3 and earlier
# or 4.6.0_rc1 for KDE 4.4 and later
if slot_is_at_least 4.4 "${KDE_MINIMAL}"; then
- QT_MINIMAL="${QT_MINIMAL:-4.6.0_rc1}"
+ QT_MINIMAL="${QT_MINIMAL:-4.6.0}"
fi
QT_MINIMAL="${QT_MINIMAL:-4.5.1}"
@@ -240,7 +240,7 @@ fi
kdedepend="
dev-util/pkgconfig
!aqua? (
- x11-proto/xextproto
+ || ( >=x11-libs/libXtst-1.1.0 <x11-proto/xextproto-7.1.0 )
x11-proto/xf86vidmodeproto
)
"
@@ -364,7 +364,7 @@ case ${BUILD_TYPE} in
case ${KDEBASE} in
kde-base)
case ${PV} in
- 4.3.85 | 4.3.9[0568])
+ 4.3.8[05] | 4.3.9[0568])
# block for normally packed unstable releases
SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.bz2" ;;
4.3.[6-9]*)
diff --git a/eclass/kde4-meta.eclass b/eclass/kde4-meta.eclass
index 152098043487..83192ec42b1e 100644
--- a/eclass/kde4-meta.eclass
+++ b/eclass/kde4-meta.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.28 2009/12/01 10:56:17 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.29 2009/12/02 17:07:05 abcd Exp $
#
# @ECLASS: kde4-meta.eclass
# @MAINTAINER:
@@ -20,6 +20,11 @@ if [[ -z ${KMNAME} ]]; then
die "kde4-meta.eclass inherited but KMNAME not defined - broken ebuild"
fi
+# Add khelpcenter dependency when installing handbooks
+if [[ ${PN} != khelpcenter ]] && has handbook ${IUSE//+}; then
+ RDEPEND+=" handbook? ( $(add_kdebase_dep khelpcenter) )"
+fi
+
# Add dependencies that all packages in a certain module share.
case ${KMNAME} in
kdebase|kdebase-apps|kdebase-workspace|kdebase-runtime|kdegraphics)
@@ -208,7 +213,7 @@ kde4-meta_src_extract() {
else
local abort tarball tarfile f extractlist moduleprefix postfix
case ${PV} in
- 4.3.85 | 4.3.9[0568])
+ 4.3.8[05] | 4.3.9[0568])
# block for normally packed upstream unstable snapshots
KMTARPARAMS+=" --bzip2" # bz2
postfix="bz2"